/** @type {import('tailwindcss').Config} */
module.exports = {
    content: ["./src/Resources/**/*.blade.php", "./src/Resources/**/*.js"],

    theme: {
        container: {
            center: true,

            screens: {
                "2xl": "1440px",
            },

            padding: {
                DEFAULT: "90px",
            },
        },

        screens: {
            sm: "525px",
            md: "768px",
            lg: "1024px",
            xl: "1240px",
            "2xl": "1440px",
            1180: "1180px",
            1060: "1060px",
            991: "991px",
            868: "868px",
        },

        extend: {
            colors: {
                navyBlue: "#060C3B",
                lightOrange: "#F6F2EB",
                darkGreen: "#40994A",
                darkBlue: "#0044F2",
                darkPink: "#F85156",
                primarymain: "#3C3935",
                item: "#57524A",
                icon: "#6E6556",
                header: "#5A5A5A",
                description: "#6B6B6B",
                highlight: "#A0804A",
                title: "#918672",
                input: "#B1A58F",
                placeholder: "#BABABA",
                divider: "#D0D0D0",
                banner: "#E4DED3",
                secondary: "#F3F0EB",
                favourite: "#FF7272",
                success: "#4EE141", 
                white:"#FFFFFF",     
            },

            fontFamily: {
                poppins: ["'Sometype Mono', monospace"]
            },
        }
    },

    plugins: [],

    safelist: [
        {
            pattern: /icon-/,
        }
    ]
};
